# Get offer

The Get Offer endpoint fetches and returns a single offer. It’s primarily used for retrieving the offer’s products and content payload (including pricing/benefits/details that were generated earlier) and can be used to confirm pricing prior to calling the Confirm Offer endpoint. This endpoint simply returns the offer record as it exists at the time that the original Create Offer request was made.

## GET /api/partners/{partner\_id}/offers/{offer\_id}

> Get offer

```json
{"openapi":"3.0.0","info":{"title":"Offers","version":"1.0.0"},"tags":[{"name":"Get offer","description":"The Get Offer endpoint fetches and returns a single offer. It’s primarily used for retrieving the offer’s products and content payload (including pricing/benefits/details that were generated earlier) and can be used to confirm  pricing prior to calling the Confirm Offer endpoint. This endpoint simply returns the offer record as it exists at the time that the original Create Offer request was made.\n"}],"servers":[{"url":"https://api.xone.xcover.com"}],"security":[{"PartnerPrivateAPI":["offers:view"]}],"components":{"securitySchemes":{"PartnerPrivateAPI":{"type":"oauth2","description":"# XONE API Access Token\n\nTo get started with the XONE API, you'll first need to obtain an access token. \nThis token acts as a digital key, granting your application permission to make API calls.\n\nThis process uses the **OAuth 2.0 Client Credentials Grant flow**. You'll use your unique client ID and client secret to request a token, which you then include in subsequent API requests.\n\n## 🔑 Authentication Steps\n\n* **Request Token:** Send a \"Retrieve Token\" request to the XONE authorization server's token endpoint.\n* **Include Credentials:** In the request body, provide your `client_id` and `client_secret` as a JSON object.\n* **Use Token:** The server will respond with an `access_token` that you can now use to authenticate your API calls by including it in the **Authorization** header as a `Bearer` token.\n","flows":{"clientCredentials":{"tokenUrl":"https://api.xone.xcover.com/api/oauth/token","scopes":{"quotes:view":"Read-only access to view quote details.","quotes:update":"Permission to opt-out quotes.","offers:view":"Read-only access to view offer details.","offers:update":"Permission to opt-out existing offers.","offers:delete":"Permission to cancel an existing booking of an offer.","bookings:create":"Ability to create new bookings for quotes.","bookings:view":"Read-only access to view booking details.","bookings:update":"Permission to modify existing bookings.","bookings:delete":"Permission to cancel bookings."}}}}}},"paths":{"/api/partners/{partner_id}/offers/{offer_id}":{"get":{"summary":"Get offer","tags":["Get offer"],"responses":{"200":{"description":"200 OK","headers":{"Date":{"schema":{"type":"string"}},"Content-Length":{"schema":{"type":"integer"}},"Connection":{"schema":{"type":"string"}},"Cache-Control":{"schema":{"type":"string"}},"X-Ratelimit-Limit":{"schema":{"type":"integer"}},"X-Ratelimit-Remaining":{"schema":{"type":"integer"}},"Vary":{"schema":{"type":"string"}},"vary":{"schema":{"type":"string"}},"Content-Encoding":{"schema":{"type":"string"}},"X-Content-Type-Options":{"schema":{"type":"string"}},"X-XSS-Protection":{"schema":{"type":"string"}},"Strict-Transport-Security":{"schema":{"type":"string"}},"cf-cache-status":{"schema":{"type":"string"}},"Server":{"schema":{"type":"string"}},"CF-RAY":{"schema":{"type":"string"}},"Server-Timing":{"schema":{"type":"string"}},"Cf-Team":{"schema":{"type":"string"}}},"content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string"},"currency":{"type":"string"},"products":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"product_config_id":{"type":"string"},"type":{"type":"string"},"schema_url":{"type":"string","format":"uri"},"details":{"type":"object","properties":{"policy_version_id":{"type":"string"},"start_date":{"type":"string","format":"date-time"},"end_date":{"type":"string","format":"date-time"},"finance":{"type":"object","properties":{"price":{"type":"object","properties":{"total_amount":{"type":"number"},"total_amount_without_tax":{"type":"number"},"total_amount_formatted":{"type":"string"},"total_amount_without_tax_formatted":{"type":"string"}}},"tax":{"type":"object","properties":{"total_amount":{"type":"integer"},"total_amount_formatted":{"type":"string"}}},"surcharge":{"type":"object","properties":{"total_amount":{"nullable":true},"total_amount_formatted":{"nullable":true}}},"commission":{"type":"object","properties":{"total_amount":{"type":"number"},"total_amount_formatted":{"type":"string"}}}}},"pds_url":{"type":"string","format":"uri"},"files":{"type":"array","items":{}},"extra_fields":{"type":"object","properties":{"seller_entity":{"type":"string"},"event_datetime":{"type":"string","format":"date-time"},"policy_start_date":{"type":"string","format":"date-time"},"customer_id":{"type":"string"},"event_id":{"nullable":true},"esimid":{"type":"string"},"esim_eligible":{"type":"boolean"},"policy_start_calculated":{"type":"string","format":"date-time"},"same_day":{"type":"boolean"},"price_per_ticket":{"type":"number"}}},"experiment":{"type":"array","items":{}},"benefits":{"type":"array","items":{"type":"object","properties":{"benefit_content_id":{"type":"string"},"description":{"type":"string"},"limit":{"type":"integer"},"limit_policy_currency":{"type":"integer"},"limit_formatted":{"type":"string"},"limit_policy_currency_formatted":{"type":"string"}}}}}}}}},"content":{"type":"object","properties":{"schema_version":{"type":"string","format":"uri"},"locale":{"type":"string"},"title":{"type":"string"},"extras":{"type":"array","items":{}},"heading":{"type":"string"},"disclaimer":{"type":"string"},"price_unit":{"type":"string"},"description":{"type":"string"},"sub_heading":{"type":"string"},"negative_cta":{"type":"string"},"positive_cta":{"type":"string"},"disclaimer_html":{"type":"string"},"required_message":{"type":"string"},"credibility_message":{"type":"string"},"negative_cta_warning":{"type":"string"},"products":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"product_config_id":{"type":"string"},"locale":{"type":"string"},"title":{"type":"string"},"benefits":{"type":"object","properties":{"benefit_1":{"type":"string"},"benefit_2":{"type":"string"},"benefit_3":{"type":"string"}}},"disclaimer":{"type":"string"},"exclusions":{"type":"array","items":{}},"inclusions":{"type":"array","items":{}},"description":{"type":"string"},"terms_cta_html":{"type":"string","format":"style"},"disclaimer_html":{"type":"string","format":"style"},"credibility_badge":{"type":"string"}}}}}},"provider_reference":{"type":"string"},"created_at":{"type":"string","format":"date-time"},"updated_at":{"type":"string","format":"date-time"},"opted_out_at":{"nullable":true}}}}}}}},"401":{"description":"401 Unauthorized","headers":{"Date":{"deprecated":false,"schema":{}},"Content-Length":{"deprecated":false,"schema":{}},"Connection":{"deprecated":false,"schema":{}},"Cache-Control":{"deprecated":false,"schema":{}},"Vary":{"deprecated":false,"schema":{}},"vary":{"deprecated":false,"schema":{}},"Content-Encoding":{"deprecated":false,"schema":{}},"X-Content-Type-Options":{"deprecated":false,"schema":{}},"X-XSS-Protection":{"deprecated":false,"schema":{}},"Strict-Transport-Security":{"deprecated":false,"schema":{}},"cf-cache-status":{"deprecated":false,"schema":{}},"Server":{"deprecated":false,"schema":{}},"CF-RAY":{"deprecated":false,"schema":{}},"Server-Timing":{"deprecated":false,"schema":{}},"Cf-Team":{"deprecated":false,"schema":{}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}},"404":{"description":"404 Not Found","headers":{"Date":{"deprecated":false,"schema":{}},"Content-Length":{"deprecated":false,"schema":{}},"Connection":{"deprecated":false,"schema":{}},"Cache-Control":{"deprecated":false,"schema":{}},"X-Ratelimit-Limit":{"deprecated":false,"schema":{}},"X-Ratelimit-Remaining":{"deprecated":false,"schema":{}},"Vary":{"deprecated":false,"schema":{}},"vary":{"deprecated":false,"schema":{}},"Content-Encoding":{"deprecated":false,"schema":{}},"X-Content-Type-Options":{"deprecated":false,"schema":{}},"X-XSS-Protection":{"deprecated":false,"schema":{}},"Strict-Transport-Security":{"deprecated":false,"schema":{}},"cf-cache-status":{"deprecated":false,"schema":{}},"Server":{"deprecated":false,"schema":{}},"CF-RAY":{"deprecated":false,"schema":{}},"Server-Timing":{"deprecated":false,"schema":{}},"Cf-Team":{"deprecated":false,"schema":{}}},"content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"type":"object"}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.covergenius.com/xcover-elements/api-integration/get-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
